Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 85802 - media-video/nvidia-kernel-1.0.6629-r1 won't compile using gentoo-dev-sources-2.6.11-r4
Summary: media-video/nvidia-kernel-1.0.6629-r1 won't compile using gentoo-dev-sources-...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: X11 External Driver Maintainers
URL:
Whiteboard:
Keywords:
: 86130 87286 97654 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-03-18 11:10 UTC by Pablo Yanez Trujillo
Modified: 2005-10-28 00:22 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo Yanez Trujillo 2005-03-18 11:10:41 UTC
While compiling nvidia-kernel after a new kernel update (gentoo-dev-sources-2.6.11-r4 on a x66 mach.) the compile session fails with:

--------------------------------
cc -Wp,-MD,/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/.os-agp.o.d -nostdinc -isystem /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5/include -D__KERNEL__ -Iinclude  -Wall -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -ffreestanding -O2
  -fomit-frame-pointer -pipe -msoft-float -mpreferred-stack-boundary=2  -march=i686  -Iinclude/asm-i386/mach-default   -I/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wno-multichar  -Werror -O -fno-common -MD   -Wno-cast-qual -Wno-error -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE  -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE  -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=6629  -DNV_UNIX   -DNV_LINUX   -DNV_INT64_OK   -DNVCPU_X86      -UDEBUG -U_DEBUG -DNDEBUG -DNV_REMAP_PFN_RANGE_PRESENT -DNV_CHANGE_PAGE_ATTR_PRESENT -DNV_PCI_DISABLE_DEVICE_PRESENT -DNV_CLASS_SIMPLE_CREATE_PRESENT -DNV_PCI_GET_CLASS_PRESENT  -DMODULE -DKBUILD_BASENAME=os_agp -DKBUILD_MODNAME=nvidia -c -o /var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.o /var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:48: error: parse error before '*' token
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:48: warning: type defaults to `int' in declaration of `drm_agp_p'
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:48: warning: data definition has no type or storage class
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c: In function `KernInitAGP':
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:76: warning: assignment discards qualifiers from pointer target type
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:85: error: request for member `acquire' in something
not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:88: warning: `inter_module_put' is deprecated (declared at include/linux/module.h:578)
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:113: error: request for member `copy_info' in something not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:173: error: request for member `enable' in something
not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:185: error: request for member `release' in something not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:186: warning: `inter_module_put' is deprecated (declared at include/linux/module.h:578)
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c: In function `KernTeardownAGP':
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:216: error: request for member `release' in something not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:218: warning: `inter_module_put' is deprecated (declared at include/linux/module.h:578)
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c: In function `KernAllocAGPPages':
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:265: error: request for member `allocate_memory' in something not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:273: error: request for member `bind_memory' in something not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:290: error: request for member `unbind_memory' in something not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:305: error: request for member `free_memory' in something not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c: In function `KernMapAGPPages':
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:345: error: request for member `unbind_memory' in something not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c: In function `KernFreeAGPPages':
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:444: error: request for member `unbind_memory' in something not a structure or union
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.c:445: error: request for member `free_memory' in something not a structure or union
make[3]: *** [/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/os-agp.o] Error 1
make[2]: *** [_module_/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv] Error 2
NVIDIA: left KBUILD.
nvidia.ko failed to build!
make[1]: *** [module] Error 1
make: *** [module] Error 2
--------------

Running emerge nvidia-kernel under gentoo-dev-sources-2.6.10-r6 makes no problem.

Reproducible: Always
Steps to Reproduce:
1. rm /var/tmp/portage/nvidia* -r
2. emerge nvidia-kernel
3.

Actual Results:  
The error above is produced


rex@supertux:~> emerge info
Portage 2.0.51.19 (default-linux/x86/2004.3, gcc-3.3.5, glibc-2.3.4.20041102-r1, 
2.6.10-gentoo-r6 i686)
=================================================================
System uname: 2.6.10-gentoo-r6 i686 Pentium III (Coppermine)
Gentoo Base System version 1.4.16
Python:              dev-lang/python-2.3.4-r1 [2.3.4 (#1, Feb  7 2005, 20:08:17)
]
dev-lang/python:     2.3.4-r1
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.5, 1.7.9-r1, 1.6.3, 1.4_p6, 1.9.4, 1.8.5-r3
sys-devel/binutils:  2.15.92.0.2-r1
sys-devel/libtool:   1.5.10-r4
virtual/os-headers:  2.4.22-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-Os -march=pentium3 -mfpmath=sse -msse -mmmx"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/
share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /
usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ 
/usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/
share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-Os -march=pentium3 -mfpmath=sse -msse -mmmx"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks keepwork sandbox sfperms"
GENTOO_MIRRORS="ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://ftp-
stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://pandemonium.tiscali.de/pub/
gentoo/ http://gentoo.eliteitminds.com"
MAKEOPTS="-j2"
PKGDIR="/media/cdrom"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 X aalib alsa apm audiofile avi bash-completion berkdb bitmap-fonts cdr 
crypt cups curl directfb dvd emboss encode esd fam fbcon flac font-server 
foomaticdb fortran gdbm gif gimpprint gpm gstreamer gtk gtk2 guile imagemagick 
imlib ipv6 jpeg ldap libg++ libwww mad mikmod motif mp3 mpeg mysql ncurses nls 
oggvorbis opengl oss pam pdflib perl plotutils png postgres ppds python 
quicktime readline sdl slang spell ssl svga tcltk tcpd tetex tiff truetype 
truetype-fonts type1-fonts wmf xml2 xmms xv zlib"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS, PORTDIR_OVERLAY
Comment 1 Evert 2005-03-18 14:02:21 UTC
same here
Comment 2 Pablo Yanez Trujillo 2005-03-18 14:42:34 UTC
This isn't a beauty solution but it functions :wink:
$ echo -e "media-video/nvidia-kernel ~x86\nmedia-video/nvidia-glx ~x86" >> /etc/portage/package.keywords
$ emerge -u nvidia-glx nvidia-kernel
Comment 3 André Terpstra 2005-03-19 01:31:00 UTC
Same error here. Downgrading the kernel helps.
Comment 4 ivo welch 2005-03-19 09:42:03 UTC
I succeeded with the nvidia-kernel (Linux-x86_64 1.0-6629) under 2.6.9, but have similar trouble under 2.6.11---though not the same trouble:

NVIDIA: calling KBUILD...
make CC=cc  KBUILD_VERBOSE=1 -C /usr/src/linux M=/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv modules
make[2]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
mkdir -p /var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv/.tmp_versions
make -f scripts/Makefile.build obj=/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -n 1`\" > /var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv/nv_comp
iler.h
  cc -Wp,-MD,/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv/.nv.o.d -nostdinc -isystem /usr/lib/gcc/x86_64-pc-l
inux-gnu/3.4.3/include -D__KERNEL__ -Iinclude  -Wall -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -ffreestanding -O2     -fomit-frame-
pointer -march=k8 -mno-red-zone -mcmodel=kernel -pipe -fno-reorder-blocks        -Wno-sign-compare -fno-asynchronous-unwind-tables -funit-at-a-time -mno-sse
-mno-mmx -mno-sse2 -mno-3dnow -Wdeclaration-after-statement  -I/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv -
Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wno-multichar  -Werror -O -fno-common -mno-red-zone -MD   -Wno-cast-qual -Wn
o-error -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE  -mcmodel=kernel -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE  -DNV_MAJOR_VERSION=1 -
DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=6629  -DNV_UNIX  -DNV_LINUX  -DNV_INT64_OK  -DNVCPU_X86_64  -DNV_64_BITS    -UDEBUG -U_DEBUG -DNDEBUG -DNV_REMAP_PFN_RANG
E_PRESENT -DNV_CHANGE_PAGE_ATTR_PRESENT -DNV_PCI_DISABLE_DEVICE_PRESENT -DNV_CLASS_SIMPLE_CREATE_PRESENT -DNV_PCI_GET_CLASS_PRESENT  -DMODULE -DKBUILD_BASENA
ME=nv -DKBUILD_MODNAME=nvidia -c -o /var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv/nv.o /var/tmp/portage/nvidia
-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv/nv.c
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv/nv.c: In function `_get_phys_address':
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv/nv.c:2529: error: structure has no member named `pud'
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv/nv.c: In function `nv_agp_init':
/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv/nv.c:3010: warning: `inter_module_put' is deprecated (declared a
t include/linux/module.h:578)
make[3]: *** [/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv/nv.o] Error 1
make[2]: *** [_module_/var/tmp/portage/nvidia-kernel-1.0.6629-r1/work/NVIDIA-Linux-x86_64-1.0-6629-pkg2/usr/src/nv] Error 2
NVIDIA: left KBUILD.
nvidia.ko failed to build!
make[1]: *** [module] Error 1
make: *** [module] Error 2

!!! ERROR: media-video/nvidia-kernel-1.0.6629-r1 failed.

Gentoo Base System version 1.4.16
Portage 2.0.51.19 (default-linux/amd64/2004.3, gcc-3.4.3, glibc-2.3.4.20041102-r1, 2.6.11-gentooiaw-compiled-2.6.11 x86_64)
=================================================================
System uname: 2.6.11-gentooiaw-compiled-2.6.11 x86_64 AMD Athlon(tm) 64 Processor 3200+
Python:              dev-lang/python-2.3.4-r1 [2.3.4 (#1, Feb  9 2005, 21:33:01)]
distcc 2.12.1 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-lang/python:     2.3.4-r1
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.5, 1.6.3, 1.4_p6, 1.8.5-r3, 1.9.4, 1.7.9-r1
sys-devel/binutils:  2.15.92.0.2-r1
sys-devel/libtool:   1.5.10-r4
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CFLAGS="-march=athlon64 -pipe -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/conf
ig /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/gen
eric/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon64 -pipe -O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo http://mirror.datapipe.net/gentoo ftp://ftp.gtlib.cc.gatech.edu/p ub/gentoo ftp://ftp.ussg.iu.edu/pub/linux
/gentoo"
LC_ALL="POSIX"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X aalib acpi alsa arts berkdb bitmap-fonts bonobo cdr crypt cups curl directfb dvd dvdr esd f77 fam fbcon flac font-server foomaticdb fortran g77
gdbm ggi gif gnome gphoto2 gpm gtk gtkhtml guile imagemagick imlib ipv6 java jp2 jpeg junit kde ldap libwww lzw lzw-tiff mad mikmod motif mozilla mp3 mpeg my
sql nas ncurses nls oggvorbis opengl oss pam pdflib perl png postgres python qt readline ruby scanner sdl slang snmp ssl tcltk tcpd tetex tiff truetype truet
ype-fonts type1-fonts ungif usb userlocales xml xml2 xmms xpm xrandr xv zlib"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LDFLAGS, PORTDIR_OVERLAY
Comment 5 Kim Pedersen 2005-03-20 08:31:28 UTC
From what I can gather from this http://www.nvnews.net/vbulletin/showthread.php?t=46676#post553970 post the nvidia-kernel needs a patch for it to work with the 2.6.11 kernel. The nvidia-kernel-1.0.6629-r3 should according to the changelog entry http://www.gentoo.org/cgi-bin/viewcvs.cgi/*checkout*/media-video/nvidia-kernel/ChangeLog have this patch, but the version is not stable. So we will have to wait for it to become stable or risk an unstable system.....
Comment 6 Kim Pedersen 2005-03-20 08:35:25 UTC
Sorry I meant that the nvidia-kernel-1.0.6629-r4 should work, not the nvidia-kernel-1.0.6629-r3 (which is non-exitent).
Comment 7 Carsten Lohrke (RETIRED) gentoo-dev 2005-03-21 15:50:59 UTC
*** Bug 86130 has been marked as a duplicate of this bug. ***
Comment 8 Rick Jenkins 2005-03-22 10:19:05 UTC
This prevents me using kernel 2.6.11, since nvidia-kernel later than 6629 (including the unstable 7167) does not work with my on-board GeForce2. Motherboard is Asus A7N-266/VM. See Bug 85379.
Comment 9 Thijs Brobbel 2005-03-23 06:33:01 UTC
same here (same as the reporter, that is)

Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.3.5, glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r4 i686)
=================================================================
System uname: 2.6.11-gentoo-r4 i686 Unknown CPU Type
Gentoo Base System version 1.4.16
Python:              dev-lang/python-2.3.4-r1 [2.3.4 (#1, Feb  7 2005, 22:37:01)]
ccache version 2.3 [enabled]
dev-lang/python:     2.3.4-r1
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.4
sys-devel/binutils:  2.15.92.0.2-r1
sys-devel/libtool:   1.5.10-r4
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-mcpu=athlon-xp -O3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-mcpu=athlon-xp -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms userpriv usersandbox"
GENTOO_MIRRORS="ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://mirror.scarlet-internet.nl/pub/gentoo ftp://mirror.nutsmaas.nl/gentoo/ ftp://ftp.easynet.nl/mirror/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowex X aalib alsa apm avi bash-completion berkdb bitmap-fonts bzlib cap cdparanoia chroot clisp crypt cscope cups curl directfb doc dvd dvdread emacs emboss encode erandom esd f77 fam fbcon flac flood foomaticdb fortran gdbm gif gpm gtk gtk2 imagemagick imlib ipv6 jabber java jpeg kerberos ldap libcaca libg++ libwww lufsusermount mad maildir mbox md5sum mikmod mmap mmx mmx2 motif mp3 mpeg msn mysql nas ncurses nethack network nls nptl oggvorbis opengl oscar oss pam pcre pdflib perl png pwdb python qt quicktime readline rtc samba sdl skey slang slp smartcard spell sse sse2 ssl svg svga tcltk tcpd tetex tiff truetype truetype-fonts type1-fonts vim-with-x wmf xinerama xml xml2 xmms xv xvid yahoo zlib"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS
Comment 10 Joel Kaasinen 2005-03-24 22:37:20 UTC
Same problem here. Kernel is 2.6.11. I'll wait for the -r4 release of the driver to get into stable.

Portage 2.0.51.19 (default-linux/x86/2004.3, gcc-3.3.5, glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r4 i686)
=================================================================
System uname: 2.6.11-gentoo-r4 i686 Pentium III (Coppermine)
Gentoo Base System version 1.4.16
Python:              dev-lang/python-2.3.4-r1 [2.3.4 (#1, Mar 19 2005, 18:05:25)]
dev-lang/python:     2.3.4-r1
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.8.5-r3, 1.5, 1.7.9-r1, 1.6.3, 1.4_p6, 1.9.4
sys-devel/binutils:  2.15.92.0.2-r1
sys-devel/libtool:   1.5.10-r4
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-march=i686 -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CXXFLAGS="-march=i686 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="http://ftp.linux.ee/pub/gentoo/distfiles/ ftp://ftp.linux.ee/pub/gentoo/distfiles/ http://trumpetti.atm.tut.fi/gentoo/ ftp://trumpetti.atm.tut.fi/gentoo/ http://mirror.gentoo.no/ ftp://ftp.du.se/pub/os/gentoo http://ftp.du.se/pub/os/gentoo http://ds.thn.htu.se/linux/gentoo http://mirror.pudas.net/gentoo ftp://mirror.pudas.net/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 X apm avi berkdb bitmap-fonts crypt curl emacs emboss encode flac font-server foomaticdb gdbm gif gpm gtk gtk2 guile imagemagick imlib java jpeg libg++ libwww mad mikmod mp3 mpeg ncurses oggvorbis opengl oss pam pcre pdflib perl png quicktime readline samba sdl slang spell ssl svga tcltk tcpd theora tiff truetype truetype-fonts type1-fonts xml2 xmms xv zlib"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS, PORTDIR_OVERLAY
Comment 11 Robert Forsman 2005-03-25 15:20:10 UTC
I was getting the same sort of error, but now I have a workaround!

I was able to get my nvidia-kernel to compile with the 2.6.11-r4 kernel by disabling the CONFIG_AGP option in the kernel 

(Device Drivers -> Character Devices -> /dev/agpgart (AGP support) )

I don't know what that breaks, but I have X running right now.
Comment 12 t35t0r 2005-03-26 11:27:40 UTC
I had the same bug with development-sources-2.6.12-rc1 ..I was using 1.0.6629 (and not 1.0.7167) due to instabilities in other opengl applications (strangely the errors only happen on the quadro4 + what used to be 2.6.10 machine then I did a 2.6.12-r1 upgrade due to ieee1394b instabilities).

1.0.7167 seemed to compile with 2.6.12-rc1 just fine. I'm gonna try running the application and see if it is fixed with the new kernel.
Comment 13 t35t0r 2005-03-26 11:46:01 UTC
nope 1.0.7167 has opengl problems i recommend not using it ..tested with pymol and vmd and they crash instantly
Comment 14 t35t0r 2005-03-26 12:56:35 UTC
btw 1.0.7167 does compile on 2.6.10 kernel ..i just wouldn't recommend using it with quadros
Comment 15 t35t0r 2005-03-26 16:03:18 UTC
I tried removing agpgart from the kernel .config completely like someone above said and 1.0.6629 did compile for 2.6.12-rc1 but when you do modprobe nvidia you get this error:

/root# modprobe nvidia
FATAL: Error inserting nvidia (/lib/modules/2.6.12-rc1/video/nvidia.ko): Unknown symbol in module, or unknown parameter (see dmesg)

dmesg:
nvidia: Unknown symbol inter_module_get

..yes i did recompile both nvidia-glx and nvidia-kernel when downgrading ..i think i'm going back to a 2.6.10 + 1.0.6629
Comment 16 Pablo Yanez Trujillo 2005-03-26 16:10:21 UTC
> I tried removing agpgart from the kernel .config completely like someone above > said and 1.0.6629 did compile for 2.6.12-rc1 but when you do modprobe nvidia 
> you get this error:

well, we try to resolve the bug for the 2.6.11 version first. With development-source you should use imho the testing nvidia-kernel/glx.
Comment 17 t35t0r 2005-03-26 16:11:05 UTC
btw: i got these warnings when going back to/compiling 2.6.10-gentoo-r6:

kernel/intermodule.c:179: warning: `inter_module_register' is deprecated (declared at kernel/intermodule.c:38)
kernel/intermodule.c:180: warning: `inter_module_unregister' is deprecated (declared at kernel/intermodule.c:79)
kernel/intermodule.c:183: warning: `inter_module_put' is deprecated (declared at kernel/intermodule.c:160)

..it seems that this has been completely removed from later 2.6.11 and 2.6.12 kernels and is causing the problem I posted just above this post.
Comment 18 Joshua Baergen (RETIRED) gentoo-dev 2005-03-27 12:53:52 UTC
Ya, a bunch of inter_module stuff has been deprecated...this issue occurs in ATI drivers as well.  You can actually find the missing inter_module_get in intermodule.c and allow drivers to use it still by manually editing the file (and removing the static keyword and telling it to export if I remember correctly), but on my system I just hang when the driver tries starting.  The respective companies must fix this.

As far as .11 goes, I find that on some machines the only way to get the driver to work (ATI, but nVidia would have similar problems) was to use the kernel AGP driver, but obviously this is causing a few problems.  Unfortunately the kernel seems to be changing faster than the driver writers.
Comment 19 Joshua Baergen (RETIRED) gentoo-dev 2005-03-30 13:44:08 UTC
*** Bug 87286 has been marked as a duplicate of this bug. ***
Comment 20 matthew.cline 2005-04-02 22:02:52 UTC
I ran into the exact same problem as the original poster. I decided to try version 1.0.7174

The package emerged without error, I then ran opengl-update, env-update, modprobe nvidia, but I get this error whenever I try to start X:

Error: API mismatch: The NVIDIA kernel module is version 0.7174.0, but this X module is version 1.0.6629. Please be sure that your kernel module and all NVIDIA driver files have the same driver version.

Can anyone offer assistance on how to fix this problem?

Thank you
Comment 21 matthew.cline 2005-04-02 22:12:52 UTC
SOrry to reply to my own bug report, but installing nvidia-glx-1.0.7174 fixed my problem.
Comment 22 Pablo Yanez Trujillo 2005-04-03 00:49:43 UTC
> SOrry to reply to my own bug report, but installing nvidia-glx-1.0.7174 fixed > my problem.

You must install the same version of nvidia-{driver,glx}
Comment 23 Kim Pedersen 2005-04-04 23:34:14 UTC
The nvidia-kernel-1.0.6629-r4 compiles and works with the 2.6.11-r5 kernel.

http://packagestest.gentoo.org/ebuilds/?nvidia-kernel-1.0.6629-r4

http://packagestest.gentoo.org/ebuilds/?gentoo-sources-2.6.11-r5

The bugstatus should be changed to FIXED.
Comment 24 Stefan Tittel 2005-04-05 07:54:17 UTC
Before closing this bug, could someone take care of us AMD64 users? nvidia-kernel-1.0.6629-r4 isn't stable for this architecture, so the problem persists on AMD64.
Comment 25 Pablo Yanez Trujillo 2005-04-05 11:04:30 UTC
> Before closing this bug, could someone take care of us AMD64 users? 
> nvidia-kernel-1.0.6629-r4 isn't stable for this architecture, so the 
> problem persists on AMD64.

I think you should make a new bug report for AMD64.

Today, I compiled nvidia-{kernel,glx}-1.0.6629-r4 on gentoo-sources-2.6.11-r5 successfully and it functions very well (on a x86)
Comment 26 Jakub Moc (RETIRED) gentoo-dev 2005-07-01 13:44:31 UTC
*** Bug 97654 has been marked as a duplicate of this bug. ***
Comment 27 Jeff Faris 2005-07-01 14:34:54 UTC
Although this isn't a perminant fix I know on my amd64 box
nvidia-kernel-1.0.6629-r4 was running just fine until portage tried to downgrade
me to nvidia-kernel-1.0.6629-r1 and masked r4 with -* (even though its now
listed as stable).  So I just added =media-video/nvidia-kernel-1.0.6629-r4
package.use and reinstalled just to make sure it worked, which it does.
Comment 28 Jeremy Huddleston (RETIRED) gentoo-dev 2005-10-28 00:22:10 UTC
The newer nvidia-kernel releases work with the newer kernels.